
_interrupt:

;PIC18 Slave with interrupt.c,22 :: 		void interrupt(){
;PIC18 Slave with interrupt.c,27 :: 		if(SSPIF_bit == 1){
	BTFSS       SSPIF_bit+0, BitPos(SSPIF_bit+0) 
	GOTO        L_interrupt0
;PIC18 Slave with interrupt.c,29 :: 		rxByte = SSPBUF;
	MOVF        SSPBUF+0, 0 
	MOVWF       R0 
;PIC18 Slave with interrupt.c,30 :: 		PORTD = rxByte;
	MOVF        R0, 0 
	MOVWF       PORTD+0 
;PIC18 Slave with interrupt.c,31 :: 		SSPBUF = 0x00;
	CLRF        SSPBUF+0 
;PIC18 Slave with interrupt.c,34 :: 		SSPIF_bit = 0;
	BCF         SSPIF_bit+0, BitPos(SSPIF_bit+0) 
;PIC18 Slave with interrupt.c,35 :: 		}
L_interrupt0:
;PIC18 Slave with interrupt.c,36 :: 		}
L_end_interrupt:
L__interrupt5:
	RETFIE      1
; end of _interrupt

_SPI_init_interrupts:

;PIC18 Slave with interrupt.c,38 :: 		void SPI_init_interrupts(){
;PIC18 Slave with interrupt.c,41 :: 		SSPIF_bit = 0;
	BCF         SSPIF_bit+0, BitPos(SSPIF_bit+0) 
;PIC18 Slave with interrupt.c,44 :: 		SSPIE_bit = 1;
	BSF         SSPIE_bit+0, BitPos(SSPIE_bit+0) 
;PIC18 Slave with interrupt.c,47 :: 		GIE_bit = 1;
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;PIC18 Slave with interrupt.c,50 :: 		PEIE_bit = 1;
	BSF         PEIE_bit+0, BitPos(PEIE_bit+0) 
;PIC18 Slave with interrupt.c,51 :: 		}
L_end_SPI_init_interrupts:
	RETURN      0
; end of _SPI_init_interrupts

_main:

;PIC18 Slave with interrupt.c,53 :: 		void main() {
;PIC18 Slave with interrupt.c,59 :: 		LATC.B3 = 1;
	BSF         LATC+0, 3 
;PIC18 Slave with interrupt.c,62 :: 		SSPBUF = 0;
	CLRF        SSPBUF+0 
;PIC18 Slave with interrupt.c,64 :: 		SPI_init_interrupts();
	CALL        _SPI_init_interrupts+0, 0
;PIC18 Slave with interrupt.c,67 :: 		_SPI_SLAVE_SS_DIS,
	MOVLW       5
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
;PIC18 Slave with interrupt.c,68 :: 		_SPI_DATA_SAMPLE_MIDDLE,
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
;PIC18 Slave with interrupt.c,69 :: 		_SPI_CLK_IDLE_LOW,
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
;PIC18 Slave with interrupt.c,70 :: 		_SPI_HIGH_2_LOW
	CLRF        FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;PIC18 Slave with interrupt.c,74 :: 		TRISD=0;
	CLRF        TRISD+0 
;PIC18 Slave with interrupt.c,75 :: 		PORTD=0;
	CLRF        PORTD+0 
;PIC18 Slave with interrupt.c,78 :: 		TRISB=0;
	CLRF        TRISB+0 
;PIC18 Slave with interrupt.c,79 :: 		PORTB=0;
	CLRF        PORTB+0 
;PIC18 Slave with interrupt.c,81 :: 		while(1){
L_main1:
;PIC18 Slave with interrupt.c,82 :: 		PORTB = ~PORTB;
	COMF        PORTB+0, 1 
;PIC18 Slave with interrupt.c,83 :: 		delay_ms(1000);
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
	NOP
;PIC18 Slave with interrupt.c,84 :: 		}
	GOTO        L_main1
;PIC18 Slave with interrupt.c,85 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
