
_interrupt:

;PIC18F Slave with response.c,90 :: 		void interrupt(){
;PIC18F Slave with response.c,95 :: 		if(SSPIF_bit == 1){
	BTFSS       SSPIF_bit+0, BitPos(SSPIF_bit+0) 
	GOTO        L_interrupt0
;PIC18F Slave with response.c,97 :: 		rxByte = SSPBUF;
	MOVF        SSPBUF+0, 0 
	MOVWF       R1 
;PIC18F Slave with response.c,98 :: 		PORTD = rxByte;
	MOVF        R1, 0 
	MOVWF       PORTD+0 
;PIC18F Slave with response.c,99 :: 		if(rxByte == GET_DATA_COMMAND){
	MOVF        R1, 0 
	XORWF       _GET_DATA_COMMAND+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt1
;PIC18F Slave with response.c,105 :: 		PORTB = txByte;
	MOVF        _txByte+0, 0 
	MOVWF       PORTB+0 
;PIC18F Slave with response.c,106 :: 		SSPBUF = txByte++;
	MOVF        _txByte+0, 0 
	MOVWF       SSPBUF+0 
	INCF        _txByte+0, 1 
;PIC18F Slave with response.c,107 :: 		}
L_interrupt1:
;PIC18F Slave with response.c,112 :: 		SSPIF_bit = 0;
	BCF         SSPIF_bit+0, BitPos(SSPIF_bit+0) 
;PIC18F Slave with response.c,113 :: 		}
L_interrupt0:
;PIC18F Slave with response.c,114 :: 		}
L_end_interrupt:
L__interrupt5:
	RETFIE      1
; end of _interrupt

_SPI_init_interrupts:

;PIC18F Slave with response.c,116 :: 		void SPI_init_interrupts(){
;PIC18F Slave with response.c,119 :: 		SSPIF_bit = 0;
	BCF         SSPIF_bit+0, BitPos(SSPIF_bit+0) 
;PIC18F Slave with response.c,122 :: 		SSPIE_bit = 1;
	BSF         SSPIE_bit+0, BitPos(SSPIE_bit+0) 
;PIC18F Slave with response.c,125 :: 		GIE_bit = 1;
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;PIC18F Slave with response.c,128 :: 		PEIE_bit = 1;
	BSF         PEIE_bit+0, BitPos(PEIE_bit+0) 
;PIC18F Slave with response.c,129 :: 		}
L_end_SPI_init_interrupts:
	RETURN      0
; end of _SPI_init_interrupts

_main:

;PIC18F Slave with response.c,131 :: 		void main() {
;PIC18F Slave with response.c,137 :: 		LATC.B3 = 1;
	BSF         LATC+0, 3 
;PIC18F Slave with response.c,140 :: 		SSPBUF = 0;
	CLRF        SSPBUF+0 
;PIC18F Slave with response.c,142 :: 		SPI_init_interrupts();
	CALL        _SPI_init_interrupts+0, 0
;PIC18F Slave with response.c,145 :: 		_SPI_SLAVE_SS_DIS,
	MOVLW       5
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
;PIC18F Slave with response.c,146 :: 		_SPI_DATA_SAMPLE_MIDDLE,
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
;PIC18F Slave with response.c,147 :: 		_SPI_CLK_IDLE_LOW,
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
;PIC18F Slave with response.c,148 :: 		_SPI_HIGH_2_LOW
	CLRF        FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;PIC18F Slave with response.c,152 :: 		TRISB=0;
	CLRF        TRISB+0 
;PIC18F Slave with response.c,153 :: 		PORTB=0;
	CLRF        PORTB+0 
;PIC18F Slave with response.c,156 :: 		TRISD=0;
	CLRF        TRISD+0 
;PIC18F Slave with response.c,157 :: 		PORTD=0;
	CLRF        PORTD+0 
;PIC18F Slave with response.c,159 :: 		while(1){
L_main2:
;PIC18F Slave with response.c,162 :: 		}
	GOTO        L_main2
;PIC18F Slave with response.c,163 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
